com.microfocus.awm.meta.impl

## Class RActionParmOverrideImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.RActionParmOverrideImpl

- All Implemented Interfaces:
    AWMObject, RActionParmOverride, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class RActionParmOverrideImpl
      extends AWMObjectImpl
      implements RActionParmOverride

  The following features are implemented:

  - `New Parm From`
  - `New Static Value`
  - `Parm To Override`
  - `Remove Parm`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RToolInParameter` | `basicGetParmToOverride()`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `EParmFromTypes` | `getNewParmFrom()`
    `java.lang.String` | `getNewStaticValue()`
    `RToolInParameter` | `getParmToOverride()`
    `boolean` | `isRemoveParm()`
    `boolean` | `isSetNewParmFrom()`
    `boolean` | `isSetRemoveParm()`
    `void` | `setNewParmFrom(EParmFromTypes newNewParmFrom)`
    `void` | `setNewStaticValue(java.lang.String newNewStaticValue)`
    `void` | `setParmToOverride(RToolInParameter newParmToOverride)`
    `void` | `setRemoveParm(boolean newRemoveParm)`
    `java.lang.String` | `toString()`
    `void` | `unsetNewParmFrom()`
    `void` | `unsetRemoveParm()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getNewParmFrom

          public EParmFromTypes getNewParmFrom()

      Specified by:
        `getNewParmFrom` in interface `RActionParmOverride`
      Returns:
        the value of the 'New Parm From' attribute.
      See Also:
        `EParmFromTypes`, `RActionParmOverride.isSetNewParmFrom()`, `RActionParmOverride.unsetNewParmFrom()`, `RActionParmOverride.setNewParmFrom(EParmFromTypes)`, `TaurusPackage.getRActionParmOverride_NewParmFrom()`

    - #### setNewParmFrom

          public void setNewParmFrom(EParmFromTypes newNewParmFrom)

      Specified by:
        `setNewParmFrom` in interface `RActionParmOverride`
      Parameters:
        `newNewParmFrom` - the new value of the 'New Parm From' attribute.
      See Also:
        `EParmFromTypes`, `RActionParmOverride.isSetNewParmFrom()`, `RActionParmOverride.unsetNewParmFrom()`, `RActionParmOverride.getNewParmFrom()`

    - #### unsetNewParmFrom

          public void unsetNewParmFrom()

      Specified by:
        `unsetNewParmFrom` in interface `RActionParmOverride`
      See Also:
        `RActionParmOverride.isSetNewParmFrom()`, `RActionParmOverride.getNewParmFrom()`, `RActionParmOverride.setNewParmFrom(EParmFromTypes)`

    - #### isSetNewParmFrom

          public boolean isSetNewParmFrom()

      Specified by:
        `isSetNewParmFrom` in interface `RActionParmOverride`
      Returns:
        whether the value of the 'New Parm From' attribute is set.
      See Also:
        `RActionParmOverride.unsetNewParmFrom()`, `RActionParmOverride.getNewParmFrom()`, `RActionParmOverride.setNewParmFrom(EParmFromTypes)`

    - #### getNewStaticValue

          public java.lang.String getNewStaticValue()

      Specified by:
        `getNewStaticValue` in interface `RActionParmOverride`
      Returns:
        the value of the 'New Static Value' attribute.
      See Also:
        `RActionParmOverride.setNewStaticValue(String)`, `TaurusPackage.getRActionParmOverride_NewStaticValue()`

    - #### setNewStaticValue

          public void setNewStaticValue(java.lang.String newNewStaticValue)

      Specified by:
        `setNewStaticValue` in interface `RActionParmOverride`
      Parameters:
        `newNewStaticValue` - the new value of the 'New Static Value' attribute.
      See Also:
        `RActionParmOverride.getNewStaticValue()`

    - #### getParmToOverride

          public RToolInParameter getParmToOverride()

      Specified by:
        `getParmToOverride` in interface `RActionParmOverride`
      Returns:
        the value of the 'Parm To Override' reference.
      See Also:
        `RActionParmOverride.setParmToOverride(RToolInParameter)`, `TaurusPackage.getRActionParmOverride_ParmToOverride()`

    - #### basicGetParmToOverride

          public RToolInParameter basicGetParmToOverride()

    - #### setParmToOverride

          public void setParmToOverride(RToolInParameter newParmToOverride)

      Specified by:
        `setParmToOverride` in interface `RActionParmOverride`
      Parameters:
        `newParmToOverride` - the new value of the 'Parm To Override' reference.
      See Also:
        `RActionParmOverride.getParmToOverride()`

    - #### isRemoveParm

          public boolean isRemoveParm()

      Specified by:
        `isRemoveParm` in interface `RActionParmOverride`
      Returns:
        the value of the 'Remove Parm' attribute.
      See Also:
        `RActionParmOverride.isSetRemoveParm()`, `RActionParmOverride.unsetRemoveParm()`, `RActionParmOverride.setRemoveParm(boolean)`, `TaurusPackage.getRActionParmOverride_RemoveParm()`

    - #### setRemoveParm

          public void setRemoveParm(boolean newRemoveParm)

      Specified by:
        `setRemoveParm` in interface `RActionParmOverride`
      Parameters:
        `newRemoveParm` - the new value of the 'Remove Parm' attribute.
      See Also:
        `RActionParmOverride.isSetRemoveParm()`, `RActionParmOverride.unsetRemoveParm()`, `RActionParmOverride.isRemoveParm()`

    - #### unsetRemoveParm

          public void unsetRemoveParm()

      Specified by:
        `unsetRemoveParm` in interface `RActionParmOverride`
      See Also:
        `RActionParmOverride.isSetRemoveParm()`, `RActionParmOverride.isRemoveParm()`, `RActionParmOverride.setRemoveParm(boolean)`

    - #### isSetRemoveParm

          public boolean isSetRemoveParm()

      Specified by:
        `isSetRemoveParm` in interface `RActionParmOverride`
      Returns:
        whether the value of the 'Remove Parm' attribute is set.
      See Also:
        `RActionParmOverride.unsetRemoveParm()`, `RActionParmOverride.isRemoveParm()`, `RActionParmOverride.setRemoveParm(boolean)`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

Copyright © 2015 Micro Focus GmbH. All rights reserved.